Thread File Reference
`#include <sys/types.h>`
`#include <OpenThreads/Mutex>`
`#include <OpenThreads/Affinity>`

Go to the source code of this file.

## Classes

class | OpenThreads::Thread
| This class provides an object-oriented thread interface. More...

## Namespaces

namespace | OpenThreads

## Macros

#define | _OPENTHREADS_THREAD_

## Functions

OPENTHREAD_EXPORT_DIRECTIVE int | OpenThreads::GetNumberOfProcessors ()
OPENTHREAD_EXPORT_DIRECTIVE int | OpenThreads::SetProcessorAffinityOfCurrentThread (const Affinity &affinity)

## Macro Definition Documentation

## _OPENTHREADS_THREAD_

#define _OPENTHREADS_THREAD_